<?php
session_start();
$response = [];

if (isset($_SESSION['registro_abastecimiento'])) {
    unset($_SESSION['registro_abastecimiento']);
    $response['exito'] = true;
    $response['mensaje'] = "Sesión eliminada correctamente.";
} else {
    $response['exito'] = false;
    $response['mensaje'] = "No había sesión activa para eliminar.";
}

header('Content-Type: application/json');
echo json_encode($response);
